RAKE(1)

NAME
rake - a ruby build program with capabilities similar to make

SYNOPSIS
A short usage summary.

rake options

OPTIONS

-n,--dry-run
          Do a dry run without executing actions.

-H,--help
          Display this help message.

-I,--libdir=LIBDIR
          Include LIBDIR in the search path for required modules.

-N--nosearch
          Do not search parent directories for the Rakefile.

-P,--prereqs
          Display the tasks and dependencies, then exit.

-q,--quiet
          Do not log messages to standard output

-f,--rakefile=FILE
          Use FILE as the rakefile.

-r,--require=MODULE
          Require MODULE before executing rakefile.

-s,--silent
          Like --quiet, but also suppresses the 'in directory' announcement.

-T,--tasks
          Display the tasks and dependencies, then exit.

-t,--trace
          Turn on invoke/execute tracing, enable full backtrace.

-h,--usage
          Display usage.

-v,--verbose
          Log message to standard output (default).

-V,--version
          Display the program version.

AUTHOR
Manpage provided by Adam Majer as part of the Debian's rake package. Upstream author of rake is Jim Weirich.

SEE ALSO
Full documentation is available in /usr/share/doc/rake/html